Page MenuHomePhabricator

CX dashboard shows a nearly blank page if the server can't be reached
Closed, ResolvedPublic

Description

Previously an 'cannot connect to server' error message was shown, now you just get an almost blank page (except for the personal tools bar).

Event Timeline

Esanders created this task.Dec 6 2017, 1:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2017, 1:19 PM

Change 395720 had a related patch set uploaded (by KartikMistry; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Fix: When cxserver is down, Dashboard is empty page

https://gerrit.wikimedia.org/r/395720

KartikMistry moved this task from Backlog to In Progress on the Language-2017-Oct-Dec board.

Change 395720 merged by KartikMistry:
[mediawiki/extensions/ContentTranslation@master] Fix: When cxserver is down, Dashboard is empty page

https://gerrit.wikimedia.org/r/395720

@Etonkovidova, if you need help testing this, here is one way, using Chrome DevTools:

  1. Go to CX page
  2. Open DevTools and navigate to Network tab
  3. If you don't have any network activity recorded, reload the page
  4. Once you have recorded network activity, find languagepairs entry
  5. Right click on the entry itself to open the context menu
  6. Choose one of request blocking options: Block request URL or Block request domain Marked with red rectangle on the screenshot
  7. Reload the page again to see error message

I haven't checked for how long the selected blocking is active, so it's better to make sure that you delete it from bottom drawer, which you can see on the image, called "Request blocking". Marked with blue rectangle on the screenshot

Arrbee moved this task from QA to Done on the Language-2017-Oct-Dec board.Dec 11 2017, 7:11 AM
Arrbee closed this task as Resolved.Dec 12 2017, 7:17 AM